commit c169e7c422e624398921fb39db153ce1a211cf99
Author: Assos Assos <assos+forge@centrale-marseille.fr>
Date:   Wed Jun 25 22:29:51 2014 +0200

    Weekly update of contrib modules

diff --git a/drupal7/sites/all/modules/advanced_forum/CHANGELOG.txt b/drupal7/sites/all/modules/advanced_forum/CHANGELOG.txt
index b4fc9f13..eb0375ff 100644
--- a/drupal7/sites/all/modules/advanced_forum/CHANGELOG.txt
+++ b/drupal7/sites/all/modules/advanced_forum/CHANGELOG.txt
@@ -1,6 +1,15 @@
 
 ****************************** DRUPAL 7 - 2.x BRANCH ********************************
 
+September 26, 2013
+------------------
+Issue #2097767 by troky: Fixed CSS path.
+
+
+September 17, 2013
+------------------
+by troky: Added missing forum/search view.
+
 July 07, 2013
 -------------
 7.x-2.3 RELEASE
diff --git a/drupal7/sites/all/modules/advanced_forum/advanced_forum.info b/drupal7/sites/all/modules/advanced_forum/advanced_forum.info
index 0a8dfd3a..4e7c4dd7 100644
--- a/drupal7/sites/all/modules/advanced_forum/advanced_forum.info
+++ b/drupal7/sites/all/modules/advanced_forum/advanced_forum.info
@@ -15,9 +15,9 @@ files[] = includes/views/advanced_forum_plugin_style_forum_topic_list.inc
 
 core = 7.x
 
-; Information added by drupal.org packaging script on 2013-07-07
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2014-06-21
+version = "7.x-2.4"
 core = "7.x"
 project = "advanced_forum"
-datestamp = "1373223651"
+datestamp = "1403371728"
 
diff --git a/drupal7/sites/all/modules/advanced_forum/advanced_forum.module b/drupal7/sites/all/modules/advanced_forum/advanced_forum.module
index 1b469b3f..6d6d3b4b 100644
--- a/drupal7/sites/all/modules/advanced_forum/advanced_forum.module
+++ b/drupal7/sites/all/modules/advanced_forum/advanced_forum.module
@@ -243,24 +243,30 @@ function advanced_forum_theme_registry_alter(&$theme_registry) {
 
   // Don't let core do its basic preprocess for forums, as we want to do
   // other stuff now.
-  foreach ($theme_registry['forums']['preprocess functions'] as $key => $value) {
-    if ($value == 'template_preprocess_forums') {
-      unset($theme_registry['forums']['preprocess functions'][$key]);
+  if (isset($theme_registry['forums']['preprocess functions'])) {
+    foreach ($theme_registry['forums']['preprocess functions'] as $key => $value) {
+      if ($value == 'template_preprocess_forums') {
+        unset($theme_registry['forums']['preprocess functions'][$key]);
+      }
     }
   }
 
   // We duplicate all of core's forum list preprocessing so no need to run
   // it twice. Running twice also causes problems with & in forum name.
-  foreach ($theme_registry['forum_list']['preprocess functions'] as $key => $value) {
-    if ($value == 'template_preprocess_forum_list') {
-      unset($theme_registry['forum_list']['preprocess functions'][$key]);
+  if (isset($theme_registry['forum_list']['preprocess functions'])) {
+    foreach ($theme_registry['forum_list']['preprocess functions'] as $key => $value) {
+      if ($value == 'template_preprocess_forum_list') {
+        unset($theme_registry['forum_list']['preprocess functions'][$key]);
+      }
     }
   }
 
   // Views handles the topic list pages so remove the core template preprocess.
-  foreach ($theme_registry['forum_topic_list']['preprocess functions'] as $key => $value) {
-    if ($value == 'template_preprocess_forum_topic_list') {
-      unset($theme_registry['forum_topic_list']['preprocess functions'][$key]);
+  if (isset($theme_registry['forum_topic_list']['preprocess functions'])) {
+    foreach ($theme_registry['forum_topic_list']['preprocess functions'] as $key => $value) {
+      if ($value == 'template_preprocess_forum_topic_list') {
+        unset($theme_registry['forum_topic_list']['preprocess functions'][$key]);
+      }
     }
   }
 
@@ -323,15 +329,21 @@ function advanced_forum_theme_registry_alter(&$theme_registry) {
           }
         }
         // Add in our new preprocess functions:
-        array_splice($theme_registry[$template]['preprocess functions'], $position, 0, $preprocess);
+        if (isset($theme_registry[$template]['preprocess functions'])) {
+          array_splice($theme_registry[$template]['preprocess functions'], $position, 0, $preprocess);
+        }
       }
     }
   }
 
 
   // temp workaround
-  array_splice($theme_registry['views_view__advanced_forum_topic_list']['preprocess functions'], 1, 0, 'template_preprocess_views_view');
-  array_splice($theme_registry['views_view__advanced_forum_group_topic_list']['preprocess functions'], 1, 0, 'template_preprocess_views_view');
+  if (isset($theme_registry['views_view__advanced_forum_topic_list']['preprocess functions'])) {
+    array_splice($theme_registry['views_view__advanced_forum_topic_list']['preprocess functions'], 1, 0, 'template_preprocess_views_view');
+  }
+  if (isset($theme_registry['views_view__advanced_forum_group_topic_list']['preprocess functions'])) {
+    array_splice($theme_registry['views_view__advanced_forum_group_topic_list']['preprocess functions'], 1, 0, 'template_preprocess_views_view');
+  }
   //array_splice($theme_registry['views_view_forum_topic_list__advanced_forum_topic_list']['preprocess functions'], 1, 0, 'template_preprocess_views_view_forum_topic_list');
 }
 
@@ -441,15 +453,6 @@ function advanced_forum_comment_delete($comment) {
   }
 }
 
-/**
- * Implementation of hook_comment_insert().
- */
-function advanced_forum_comment_insert($comment) {
-  if (!empty($comment->node_type) && ($comment->node_type == "comment_node_forum")) {
-    advanced_forum_statistics_replies(1);
-  }
-}
-
 /**
  * Implementation of hook_comment_update().
  */
@@ -1341,7 +1344,7 @@ function advanced_forum_post_position($node, $comment) {
   }
 
   $node_id = $node->nid;
-  $post_id = $comment->pid;
+  $post_id = $comment->cid;
 
   if (!isset($post_order[$node_id])) {
     // Initialize the spot for this node's list.
diff --git a/drupal7/sites/all/modules/advanced_forum/includes/core-overrides.inc b/drupal7/sites/all/modules/advanced_forum/includes/core-overrides.inc
index c2b38d87..79573092 100644
--- a/drupal7/sites/all/modules/advanced_forum/includes/core-overrides.inc
+++ b/drupal7/sites/all/modules/advanced_forum/includes/core-overrides.inc
@@ -90,7 +90,7 @@ function advanced_forum_forum_load($tid = NULL) {
 
 
   // Return a cached forum tree if available.
-  if (!isset($tid)) {
+  if (empty($tid)) {
     $tid = 0;
   }
   if (isset($cache[$tid])) {
@@ -137,7 +137,12 @@ function advanced_forum_forum_load($tid = NULL) {
     $_forums = i18n_taxonomy_localize_terms($_forums);
   }
 
-  if (count($_forums)) {
+  if ($cached = cache_get('adv_forum_counts' . $tid, 'cache')) {
+    if ($cached->expire > time()) {
+      $counts = $cached->data;
+    }
+  }
+  if (count($_forums) && empty($counts)) {
     $query = db_select('node', 'n');
     $query->join('node_comment_statistics', 'ncs', 'n.nid = ncs.nid');
     $query->join('forum_index', 'f', 'n.nid = f.nid');
@@ -173,8 +178,16 @@ function advanced_forum_forum_load($tid = NULL) {
         ->addTag('node_access')
         ->execute()
         ->fetchAllAssoc('tid');
+    cache_set('adv_forum_counts' . $tid, $counts, 'cache', time() + 60*60); //1 hour
   }
 
+  // get last nodes with comments for subquery SELECT optimization
+  $subquery = db_select('node_comment_statistics', 'lnsc')
+    ->fields('lnsc', array('nid'))
+    ->distinct()
+    ->orderBy('last_comment_timestamp', 'DESC')
+    ->range(0, 1000); // should be moved to options or additionally calculated elsewhere
+
   foreach ($_forums as $forum) {
     // Determine if the child term is a container.
     if (in_array($forum->tid, variable_get('forum_containers', array()))) {
@@ -193,6 +206,7 @@ function advanced_forum_forum_load($tid = NULL) {
 
     // Query "Last Post" information for this forum.
     $query = db_select('node', 'n');
+    $query->join($subquery, 'lastnodes', 'n.nid = lastnodes.nid');
     $query->join('forum_index', 'f', 'n.nid = f.nid AND f.tid = :tid', array(':tid' => $forum->tid));
     $query->join('node_comment_statistics', 'ncs', 'n.nid = ncs.nid');
     $query->join('users', 'u', 'ncs.last_comment_uid = u.uid');
diff --git a/drupal7/sites/all/modules/advanced_forum/includes/style.inc b/drupal7/sites/all/modules/advanced_forum/includes/style.inc
index eebe79c5..ed2526f1 100644
--- a/drupal7/sites/all/modules/advanced_forum/includes/style.inc
+++ b/drupal7/sites/all/modules/advanced_forum/includes/style.inc
@@ -412,14 +412,14 @@ function _advanced_forum_add_files() {
         // style, look for the style specific CSS file first in the active
         // theme and then in the style directory.
         foreach ($lineage AS $key => $path) {
-          $css_file = "/advanced-forum.$key.$css_type";
+          $css_file = "advanced-forum.$key.$css_type";
           if (file_exists("$theme_path/$css_file")) {
             // If the style specific file is in the theme, use that.
             drupal_add_css("$theme_path/$css_file");
           }
           elseif (file_exists("$path/$css_file")) {
             // Otherwise look in the style for it.
-            drupal_add_css("$path" . "$css_file");
+            drupal_add_css("$path/$css_file");
           }
         }
       }
diff --git a/drupal7/sites/all/modules/advanced_forum/includes/views/advanced_forum_group_topic_list.view b/drupal7/sites/all/modules/advanced_forum/includes/views/advanced_forum_group_topic_list.view
deleted file mode 100644
index 2c44afa1..00000000
--- a/drupal7/sites/all/modules/advanced_forum/includes/views/advanced_forum_group_topic_list.view
+++ /dev/null
@@ -1,404 +0,0 @@
-<?php
-
-// $Id$
-
-/*
- * View 'advanced_forum_group_topic_list'
- */
-
-if (module_exists('og')) {
-  $view = new view;
-  $view->name = 'advanced_forum_group_topic_list';
-  $view->description = 'Shows the topics in a given group as if it were a forum';
-  $view->tag = 'Advanced Forum';
-  $view->base_table = 'node';
-  $view->human_name = '';
-  $view->core = 0;
-  $view->api_version = '3.0-alpha1';
-  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
-
-  /* Display: Defaults */
-  $handler = $view->new_display('default', 'Defaults', 'default');
-  $handler->display->display_options['title'] = 'Group Name';
-  $handler->display->display_options['access']['type'] = 'none';
-  $handler->display->display_options['cache']['type'] = 'none';
-  $handler->display->display_options['query']['type'] = 'views_query';
-  $handler->display->display_options['exposed_form']['type'] = 'basic';
-  $handler->display->display_options['pager']['type'] = 'full';
-  $handler->display->display_options['pager']['options']['items_per_page'] = 20;
-  $handler->display->display_options['style_plugin'] = 'forum_topic_list';
-  $handler->display->display_options['style_options']['columns'] = array(
-    'nid' => 'nid',
-    'teaser' => 'teaser',
-    'topic_icon' => 'topic_icon',
-    'title' => 'title',
-    'timestamp' => 'title',
-    'topic_pager' => 'title',
-    'name_1' => 'title',
-    'created' => 'title',
-    'comment_count' => 'comment_count',
-    'new_comments' => 'comment_count',
-    'totalcount' => 'totalcount',
-    'last_comment_name' => 'last_updated',
-    'last_updated' => 'last_updated',
-    'sticky' => 'sticky',
-    'comment' => 'comment',
-  );
-  $handler->display->display_options['style_options']['default'] = 'last_updated';
-  $handler->display->display_options['style_options']['info'] = array(
-    'nid' => array(
-      'sortable' => 0,
-      'separator' => '',
-    ),
-    'teaser' => array(
-      'separator' => '',
-    ),
-    'topic_icon' => array(
-      'separator' => '',
-    ),
-    'title' => array(
-      'sortable' => 1,
-      'separator' => ' ',
-    ),
-    'timestamp' => array(
-      'separator' => '',
-    ),
-    'topic_pager' => array(
-      'separator' => '',
-    ),
-    'name_1' => array(
-      'sortable' => 0,
-      'separator' => '',
-    ),
-    'created' => array(
-      'sortable' => 0,
-      'separator' => '',
-    ),
-    'comment_count' => array(
-      'sortable' => 1,
-      'separator' => '',
-    ),
-    'new_comments' => array(
-      'separator' => '',
-    ),
-    'totalcount' => array(
-      'sortable' => 1,
-      'separator' => '',
-    ),
-    'last_comment_name' => array(
-      'sortable' => 1,
-      'separator' => '<br />',
-    ),
-    'last_updated' => array(
-      'sortable' => 1,
-      'separator' => '<br />',
-    ),
-    'sticky' => array(
-      'sortable' => 0,
-      'separator' => '',
-    ),
-    'comment' => array(
-      'sortable' => 0,
-      'separator' => '',
-    ),
-  );
-  $handler->display->display_options['style_options']['override'] = 0;
-  $handler->display->display_options['style_options']['sticky'] = 1;
-  $handler->display->display_options['style_options']['order'] = 'desc';
-  /* Empty text: Global: Text area */
-  $handler->display->display_options['empty']['text']['id'] = 'area';
-  $handler->display->display_options['empty']['text']['table'] = 'views';
-  $handler->display->display_options['empty']['text']['field'] = 'area';
-  $handler->display->display_options['empty']['text']['empty'] = FALSE;
-  $handler->display->display_options['empty']['text']['content'] = 'No posts in this group.';
-  $handler->display->display_options['empty']['text']['format'] = 'filtered_html';
-  /* Field: Node: Nid */
-  $handler->display->display_options['fields']['nid']['id'] = 'nid';
-  $handler->display->display_options['fields']['nid']['table'] = 'node';
-  $handler->display->display_options['fields']['nid']['field'] = 'nid';
-  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
-  $handler->display->display_options['fields']['nid']['alter']['alter_text'] = 0;
-  $handler->display->display_options['fields']['nid']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['nid']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['nid']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['nid']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['nid']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['nid']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['nid']['link_to_node'] = 0;
-  /* Field: Fields: body */
-  $handler->display->display_options['fields']['teaser']['id'] = 'teaser';
-  $handler->display->display_options['fields']['teaser']['table'] = 'field_data_body';
-  $handler->display->display_options['fields']['teaser']['field'] = 'entity_id';
-  $handler->display->display_options['fields']['teaser']['label'] = 'Teaser';
-  $handler->display->display_options['fields']['teaser']['exclude'] = TRUE;
-  $handler->display->display_options['fields']['teaser']['alter']['alter_text'] = 0;
-  $handler->display->display_options['fields']['teaser']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['teaser']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['teaser']['alter']['max_length'] = '200';
-  $handler->display->display_options['fields']['teaser']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['teaser']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['teaser']['alter']['strip_tags'] = 1;
-  $handler->display->display_options['fields']['teaser']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['teaser']['hide_empty'] = 0;
-  $handler->display->display_options['fields']['teaser']['type'] = 'text_summary_or_trimmed';
-  $handler->display->display_options['fields']['teaser']['settings'] = array(
-    'trim_length' => '600',
-  );
-  /* Field: Node: Topic Icon */
-  $handler->display->display_options['fields']['topic_icon']['id'] = 'topic_icon';
-  $handler->display->display_options['fields']['topic_icon']['table'] = 'node';
-  $handler->display->display_options['fields']['topic_icon']['field'] = 'topic_icon';
-  $handler->display->display_options['fields']['topic_icon']['label'] = '';
-  $handler->display->display_options['fields']['topic_icon']['alter']['alter_text'] = 0;
-  $handler->display->display_options['fields']['topic_icon']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['topic_icon']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['topic_icon']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['topic_icon']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['topic_icon']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['topic_icon']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['topic_icon']['hot_topic_threshold'] = '15';
-  /* Field: Node: Title */
-  $handler->display->display_options['fields']['title']['id'] = 'title';
-  $handler->display->display_options['fields']['title']['table'] = 'node';
-  $handler->display->display_options['fields']['title']['field'] = 'title';
-  $handler->display->display_options['fields']['title']['label'] = 'Topic / Topic starter';
-  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 1;
-  $handler->display->display_options['fields']['title']['alter']['text'] = '<span class="forum-topic-title">[title]</span> ';
-  $handler->display->display_options['fields']['title']['alter']['make_link'] = 1;
-  $handler->display->display_options['fields']['title']['alter']['path'] = 'node/[nid]';
-  $handler->display->display_options['fields']['title']['alter']['alt'] = '[teaser]';
-  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
-  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
-  $handler->display->display_options['fields']['title']['link_to_node'] = 0;
-  /* Field: Has new content */
-  $handler->display->display_options['fields']['timestamp']['id'] = 'timestamp';
-  $handler->display->display_options['fields']['timestamp']['table'] = 'history';
-  $handler->display->display_options['fields']['timestamp']['field'] = 'timestamp';
-  $handler->display->display_options['fields']['timestamp']['ui_name'] = 'Has new content';
-  $handler->display->display_options['fields']['timestamp']['alter']['alter_text'] = 1;
-  $handler->display->display_options['fields']['timestamp']['alter']['text'] = '[timestamp] ';
-  $handler->display->display_options['fields']['timestamp']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['timestamp']['alter']['absolute'] = 0;
-  $handler->display->display_options['fields']['timestamp']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['timestamp']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['timestamp']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['timestamp']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['timestamp']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['timestamp']['element_label_colon'] = 1;
-  $handler->display->display_options['fields']['timestamp']['element_default_classes'] = 1;
-  $handler->display->display_options['fields']['timestamp']['hide_empty'] = 0;
-  $handler->display->display_options['fields']['timestamp']['link_to_node'] = 0;
-  $handler->display->display_options['fields']['timestamp']['comments'] = 1;
-  /* Field: Node: Topic Pager */
-  $handler->display->display_options['fields']['topic_pager']['id'] = 'topic_pager';
-  $handler->display->display_options['fields']['topic_pager']['table'] = 'node';
-  $handler->display->display_options['fields']['topic_pager']['field'] = 'topic_pager';
-  $handler->display->display_options['fields']['topic_pager']['alter']['alter_text'] = 0;
-  $handler->display->display_options['fields']['topic_pager']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['topic_pager']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['topic_pager']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['topic_pager']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['topic_pager']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['topic_pager']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['topic_pager']['total_pages_shown'] = '3';
-  /* Field: User: Name */
-  $handler->display->display_options['fields']['name_1']['id'] = 'name_1';
-  $handler->display->display_options['fields']['name_1']['table'] = 'users';
-  $handler->display->display_options['fields']['name_1']['field'] = 'name';
-  $handler->display->display_options['fields']['name_1']['alter']['alter_text'] = 1;
-  $handler->display->display_options['fields']['name_1']['alter']['text'] = '<br /> by [name_1] ';
-  $handler->display->display_options['fields']['name_1']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['name_1']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['name_1']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['name_1']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['name_1']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['name_1']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['name_1']['hide_empty'] = 0;
-  $handler->display->display_options['fields']['name_1']['empty_zero'] = 0;
-  $handler->display->display_options['fields']['name_1']['link_to_user'] = 1;
-  $handler->display->display_options['fields']['name_1']['overwrite_anonymous'] = 0;
-  /* Field: Node: Post date */
-  $handler->display->display_options['fields']['created']['id'] = 'created';
-  $handler->display->display_options['fields']['created']['table'] = 'node';
-  $handler->display->display_options['fields']['created']['field'] = 'created';
-  $handler->display->display_options['fields']['created']['alter']['alter_text'] = 1;
-  $handler->display->display_options['fields']['created']['alter']['text'] = 'on [created]';
-  $handler->display->display_options['fields']['created']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['created']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['created']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['created']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['created']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['created']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['created']['hide_empty'] = 0;
-  $handler->display->display_options['fields']['created']['empty_zero'] = 0;
-  /* Field: Node: Comment count */
-  $handler->display->display_options['fields']['comment_count']['id'] = 'comment_count';
-  $handler->display->display_options['fields']['comment_count']['table'] = 'node_comment_statistics';
-  $handler->display->display_options['fields']['comment_count']['field'] = 'comment_count';
-  $handler->display->display_options['fields']['comment_count']['label'] = 'Replies';
-  $handler->display->display_options['fields']['comment_count']['alter']['alter_text'] = 0;
-  $handler->display->display_options['fields']['comment_count']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['comment_count']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['comment_count']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['comment_count']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['comment_count']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['comment_count']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['comment_count']['empty'] = '0';
-  $handler->display->display_options['fields']['comment_count']['hide_empty'] = 0;
-  $handler->display->display_options['fields']['comment_count']['empty_zero'] = 1;
-  /* Field: Node: New comments */
-  $handler->display->display_options['fields']['new_comments']['id'] = 'new_comments';
-  $handler->display->display_options['fields']['new_comments']['table'] = 'node';
-  $handler->display->display_options['fields']['new_comments']['field'] = 'new_comments';
-  $handler->display->display_options['fields']['new_comments']['alter']['alter_text'] = 0;
-  $handler->display->display_options['fields']['new_comments']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['new_comments']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['new_comments']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['new_comments']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['new_comments']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['new_comments']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['new_comments']['hide_empty'] = TRUE;
-  $handler->display->display_options['fields']['new_comments']['prefix'] = ' View ';
-  $handler->display->display_options['fields']['new_comments']['suffix'] = ' new';
-  $handler->display->display_options['fields']['new_comments']['link_to_comment'] = 1;
-  /* Field: Node statistics: Total views */
-  $handler->display->display_options['fields']['totalcount']['id'] = 'totalcount';
-  $handler->display->display_options['fields']['totalcount']['table'] = 'node_counter';
-  $handler->display->display_options['fields']['totalcount']['field'] = 'totalcount';
-  $handler->display->display_options['fields']['totalcount']['label'] = 'Views';
-  $handler->display->display_options['fields']['totalcount']['alter']['alter_text'] = 0;
-  $handler->display->display_options['fields']['totalcount']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['totalcount']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['totalcount']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['totalcount']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['totalcount']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['totalcount']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['totalcount']['empty'] = '0';
-  $handler->display->display_options['fields']['totalcount']['hide_empty'] = 0;
-  $handler->display->display_options['fields']['totalcount']['empty_zero'] = 1;
-  /* Field: Node: Last comment author */
-  $handler->display->display_options['fields']['last_comment_name']['id'] = 'last_comment_name';
-  $handler->display->display_options['fields']['last_comment_name']['table'] = 'node_comment_statistics';
-  $handler->display->display_options['fields']['last_comment_name']['field'] = 'last_comment_name';
-  $handler->display->display_options['fields']['last_comment_name']['alter']['alter_text'] = 1;
-  $handler->display->display_options['fields']['last_comment_name']['alter']['text'] = 'by [last_comment_name]';
-  $handler->display->display_options['fields']['last_comment_name']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['last_comment_name']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['last_comment_name']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['last_comment_name']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['last_comment_name']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['last_comment_name']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['last_comment_name']['hide_empty'] = 0;
-  $handler->display->display_options['fields']['last_comment_name']['empty_zero'] = 0;
-  /* Field: Node: Updated/commented date */
-  $handler->display->display_options['fields']['last_updated']['id'] = 'last_updated';
-  $handler->display->display_options['fields']['last_updated']['table'] = 'node_comment_statistics';
-  $handler->display->display_options['fields']['last_updated']['field'] = 'last_updated';
-  $handler->display->display_options['fields']['last_updated']['label'] = 'Last post';
-  $handler->display->display_options['fields']['last_updated']['alter']['alter_text'] = 0;
-  $handler->display->display_options['fields']['last_updated']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['last_updated']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['last_updated']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['last_updated']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['last_updated']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['last_updated']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['last_updated']['hide_empty'] = 0;
-  $handler->display->display_options['fields']['last_updated']['empty_zero'] = 0;
-  /* Field: Node: Sticky */
-  $handler->display->display_options['fields']['sticky']['id'] = 'sticky';
-  $handler->display->display_options['fields']['sticky']['table'] = 'node';
-  $handler->display->display_options['fields']['sticky']['field'] = 'sticky';
-  $handler->display->display_options['fields']['sticky']['exclude'] = TRUE;
-  $handler->display->display_options['fields']['sticky']['alter']['alter_text'] = 0;
-  $handler->display->display_options['fields']['sticky']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['sticky']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['sticky']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['sticky']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['sticky']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['sticky']['alter']['html'] = 0;
-  $handler->display->display_options['fields']['sticky']['not'] = 0;
-  /* Field: Node: Comment status */
-  $handler->display->display_options['fields']['comment']['id'] = 'comment';
-  $handler->display->display_options['fields']['comment']['table'] = 'node';
-  $handler->display->display_options['fields']['comment']['field'] = 'comment';
-  $handler->display->display_options['fields']['comment']['exclude'] = TRUE;
-  $handler->display->display_options['fields']['comment']['alter']['alter_text'] = 0;
-  $handler->display->display_options['fields']['comment']['alter']['make_link'] = 0;
-  $handler->display->display_options['fields']['comment']['alter']['trim'] = 0;
-  $handler->display->display_options['fields']['comment']['alter']['word_boundary'] = 1;
-  $handler->display->display_options['fields']['comment']['alter']['ellipsis'] = 1;
-  $handler->display->display_options['fields']['comment']['alter']['strip_tags'] = 0;
-  $handler->display->display_options['fields']['comment']['alter']['html'] = 0;
-  /* Sort criterion: Node: Sticky */
-  $handler->display->display_options['sorts']['sticky']['id'] = 'sticky';
-  $handler->display->display_options['sorts']['sticky']['table'] = 'node';
-  $handler->display->display_options['sorts']['sticky']['field'] = 'sticky';
-  $handler->display->display_options['sorts']['sticky']['order'] = 'DESC';
-  /* Contextual filter: Fields: Groups audience (group_audience) - gid */
-  $handler->display->display_options['arguments']['group_audience_gid']['id'] = 'group_audience_gid';
-  $handler->display->display_options['arguments']['group_audience_gid']['table'] = 'field_data_group_audience';
-  $handler->display->display_options['arguments']['group_audience_gid']['field'] = 'group_audience_gid';
-  $handler->display->display_options['arguments']['group_audience_gid']['default_action'] = 'default';
-  $handler->display->display_options['arguments']['group_audience_gid']['default_argument_type'] = 'fixed';
-  $handler->display->display_options['arguments']['group_audience_gid']['summary']['format'] = 'default_summary';
-  $handler->display->display_options['arguments']['group_audience_gid']['break_phrase'] = 0;
-  $handler->display->display_options['arguments']['group_audience_gid']['not'] = 0;
-  /* Filter: Node: Published */
-  $handler->display->display_options['filters']['status']['id'] = 'status';
-  $handler->display->display_options['filters']['status']['table'] = 'node';
-  $handler->display->display_options['filters']['status']['field'] = 'status';
-  $handler->display->display_options['filters']['status']['value'] = '1';
-  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
-  $translatables['advanced_forum_group_topic_list'] = array(
-    t('Defaults'),
-    t('Group Name'),
-    t('more'),
-    t('Apply'),
-    t('Reset'),
-    t('Sort By'),
-    t('Asc'),
-    t('Desc'),
-    t('Items per page'),
-    t('- All -'),
-    t('Offset'),
-    t('No posts in this group.'),
-    t('Nid'),
-    t('Teaser'),
-    t('Topic / Topic starter'),
-    t('<span class="forum-topic-title">[title]</span> '),
-    t('node/[nid]'),
-    t('[teaser]'),
-    t('Has new content'),
-    t('[timestamp] '),
-    t('Topic Pager'),
-    t('Name'),
-    t('<br /> by [name_1] '),
-    t('Post date'),
-    t('on [created]'),
-    t('Replies'),
-    t('.'),
-    t(','),
-    t('New comments'),
-    t(' View '),
-    t(' new'),
-    t('Views'),
-    t('Last comment author'),
-    t('by [last_comment_name]'),
-    t('Last post'),
-    t('Sticky'),
-    t('Comment status'),
-    t('All'),
-    t('%1'),
-  );
-
-  // Get rid of the views counter if statistics not enabled.
-  if (!module_exists('statistics')) {
-    unset($handler->display->display_options['fields']['totalcount']);
-    unset($handler->display->display_options['style_options']['columns']['totalcount']);
-  }
-}
diff --git a/drupal7/sites/all/modules/advanced_forum/includes/views/advanced_forum_search.view b/drupal7/sites/all/modules/advanced_forum/includes/views/advanced_forum_search.view
new file mode 100644
index 00000000..fadb3c71
--- /dev/null
+++ b/drupal7/sites/all/modules/advanced_forum/includes/views/advanced_forum_search.view
@@ -0,0 +1,123 @@
+<?php
+
+// $Id$
+
+/*
+ * View 'advanced_forum_search'
+ */
+
+$view = new view();
+$view->name = 'advanced_forum_search';
+$view->description = '';
+$view->tag = 'default';
+$view->base_table = 'node';
+$view->human_name = 'Advanced Forum Search';
+$view->core = 7;
+$view->api_version = '3.0';
+$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
+
+/* Display: Master */
+$handler = $view->new_display('default', 'Master', 'default');
+$handler->display->display_options['title'] = 'Advanced Forum Search';
+$handler->display->display_options['use_more_always'] = FALSE;
+$handler->display->display_options['access']['type'] = 'perm';
+$handler->display->display_options['cache']['type'] = 'none';
+$handler->display->display_options['query']['type'] = 'views_query';
+$handler->display->display_options['exposed_form']['type'] = 'basic';
+$handler->display->display_options['pager']['type'] = 'full';
+$handler->display->display_options['pager']['options']['items_per_page'] = '25';
+$handler->display->display_options['style_plugin'] = 'default';
+$handler->display->display_options['row_plugin'] = 'fields';
+/* Field: Content: Title */
+$handler->display->display_options['fields']['title']['id'] = 'title';
+$handler->display->display_options['fields']['title']['table'] = 'node';
+$handler->display->display_options['fields']['title']['field'] = 'title';
+$handler->display->display_options['fields']['title']['label'] = '';
+$handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
+$handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
+/* Field: Content: Body */
+$handler->display->display_options['fields']['body']['id'] = 'body';
+$handler->display->display_options['fields']['body']['table'] = 'field_data_body';
+$handler->display->display_options['fields']['body']['field'] = 'body';
+$handler->display->display_options['fields']['body']['label'] = '';
+$handler->display->display_options['fields']['body']['element_label_colon'] = FALSE;
+$handler->display->display_options['fields']['body']['type'] = 'text_summary_or_trimmed';
+$handler->display->display_options['fields']['body']['settings'] = array(
+  'trim_length' => '600',
+);
+/* Sort criterion: Content: Post date */
+$handler->display->display_options['sorts']['created']['id'] = 'created';
+$handler->display->display_options['sorts']['created']['table'] = 'node';
+$handler->display->display_options['sorts']['created']['field'] = 'created';
+$handler->display->display_options['sorts']['created']['order'] = 'DESC';
+/* Filter criterion: Content: Published */
+$handler->display->display_options['filters']['status']['id'] = 'status';
+$handler->display->display_options['filters']['status']['table'] = 'node';
+$handler->display->display_options['filters']['status']['field'] = 'status';
+$handler->display->display_options['filters']['status']['value'] = 1;
+$handler->display->display_options['filters']['status']['group'] = 1;
+$handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
+/* Filter criterion: Search: Search Terms */
+$handler->display->display_options['filters']['keys']['id'] = 'keys';
+$handler->display->display_options['filters']['keys']['table'] = 'search_index';
+$handler->display->display_options['filters']['keys']['field'] = 'keys';
+$handler->display->display_options['filters']['keys']['exposed'] = TRUE;
+$handler->display->display_options['filters']['keys']['expose']['operator_id'] = 'keys_op';
+$handler->display->display_options['filters']['keys']['expose']['label'] = 'Search Terms';
+$handler->display->display_options['filters']['keys']['expose']['operator'] = 'keys_op';
+$handler->display->display_options['filters']['keys']['expose']['identifier'] = 'keys';
+$handler->display->display_options['filters']['keys']['expose']['remember_roles'] = array(
+  2 => '2',
+  1 => 0,
+  3 => 0,
+);
+/* Filter criterion: Content: Has taxonomy terms (with depth) */
+$handler->display->display_options['filters']['term_node_tid_depth']['id'] = 'term_node_tid_depth';
+$handler->display->display_options['filters']['term_node_tid_depth']['table'] = 'node';
+$handler->display->display_options['filters']['term_node_tid_depth']['field'] = 'term_node_tid_depth';
+$handler->display->display_options['filters']['term_node_tid_depth']['exposed'] = TRUE;
+$handler->display->display_options['filters']['term_node_tid_depth']['expose']['operator_id'] = 'term_node_tid_depth_op';
+$handler->display->display_options['filters']['term_node_tid_depth']['expose']['label'] = 'Has taxonomy terms (with depth)';
+$handler->display->display_options['filters']['term_node_tid_depth']['expose']['operator'] = 'term_node_tid_depth_op';
+$handler->display->display_options['filters']['term_node_tid_depth']['expose']['identifier'] = 'term_node_tid_depth';
+$handler->display->display_options['filters']['term_node_tid_depth']['expose']['remember_roles'] = array(
+  2 => '2',
+  1 => 0,
+  3 => 0,
+);
+$handler->display->display_options['filters']['term_node_tid_depth']['type'] = 'select';
+$handler->display->display_options['filters']['term_node_tid_depth']['vocabulary'] = 'forums';
+$handler->display->display_options['filters']['term_node_tid_depth']['hierarchy'] = 1;
+$handler->display->display_options['filters']['term_node_tid_depth']['depth'] = '0';
+/* Filter criterion: Content: Type */
+$handler->display->display_options['filters']['type']['id'] = 'type';
+$handler->display->display_options['filters']['type']['table'] = 'node';
+$handler->display->display_options['filters']['type']['field'] = 'type';
+$handler->display->display_options['filters']['type']['value'] = array(
+  'forum' => 'forum',
+);
+
+/* Display: Page */
+$handler = $view->new_display('page', 'Page', 'page');
+$handler->display->display_options['path'] = 'forum/search';
+$translatables['advanced_forum_search'] = array(
+  t('Master'),
+  t('Advanced Forum Search'),
+  t('more'),
+  t('Apply'),
+  t('Reset'),
+  t('Sort by'),
+  t('Asc'),
+  t('Desc'),
+  t('Items per page'),
+  t('- All -'),
+  t('Offset'),
+  t('« first'),
+  t('‹ previous'),
+  t('next ›'),
+  t('last »'),
+  t('Search Terms'),
+  t('Has taxonomy terms (with depth)'),
+  t('Page'),
+);
+
diff --git a/drupal7/sites/all/modules/advanced_forum/styles/blue_lagoon/blue_lagoon.info b/drupal7/sites/all/modules/advanced_forum/styles/blue_lagoon/blue_lagoon.info
index f0874b32..d65957e3 100644
--- a/drupal7/sites/all/modules/advanced_forum/styles/blue_lagoon/blue_lagoon.info
+++ b/drupal7/sites/all/modules/advanced_forum/styles/blue_lagoon/blue_lagoon.info
@@ -4,9 +4,9 @@ description = Based on the Blue Lagoon colors of Garland.
 version = 2.x
 base style = naked
 
-; Information added by drupal.org packaging script on 2013-07-07
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2014-06-21
+version = "7.x-2.4"
 core = "7.x"
 project = "advanced_forum"
-datestamp = "1373223651"
+datestamp = "1403371728"
 
diff --git a/drupal7/sites/all/modules/advanced_forum/styles/blue_lagoon_stacked/blue_lagoon_stacked.info b/drupal7/sites/all/modules/advanced_forum/styles/blue_lagoon_stacked/blue_lagoon_stacked.info
index c7f9566b..2b307c20 100644
--- a/drupal7/sites/all/modules/advanced_forum/styles/blue_lagoon_stacked/blue_lagoon_stacked.info
+++ b/drupal7/sites/all/modules/advanced_forum/styles/blue_lagoon_stacked/blue_lagoon_stacked.info
@@ -5,9 +5,9 @@ version = 2.x
 base style = blue_lagoon
 extra style = naked_stacked
 
-; Information added by drupal.org packaging script on 2013-07-07
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2014-06-21
+version = "7.x-2.4"
 core = "7.x"
 project = "advanced_forum"
-datestamp = "1373223651"
+datestamp = "1403371728"
 
diff --git a/drupal7/sites/all/modules/advanced_forum/styles/cloudless_day/cloudless_day.info b/drupal7/sites/all/modules/advanced_forum/styles/cloudless_day/cloudless_day.info
index 9ab74739..c9472d34 100644
--- a/drupal7/sites/all/modules/advanced_forum/styles/cloudless_day/cloudless_day.info
+++ b/drupal7/sites/all/modules/advanced_forum/styles/cloudless_day/cloudless_day.info
@@ -4,9 +4,9 @@ description = A style with light blues reminiscent of the sky.
 version = 2.x
 base style = naked
 
-; Information added by drupal.org packaging script on 2013-07-07
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2014-06-21
+version = "7.x-2.4"
 core = "7.x"
 project = "advanced_forum"
-datestamp = "1373223651"
+datestamp = "1403371728"
 
diff --git a/drupal7/sites/all/modules/advanced_forum/styles/cloudless_day_stacked/cloudless_day_stacked.info b/drupal7/sites/all/modules/advanced_forum/styles/cloudless_day_stacked/cloudless_day_stacked.info
index 6edbaa24..9bbffa87 100644
--- a/drupal7/sites/all/modules/advanced_forum/styles/cloudless_day_stacked/cloudless_day_stacked.info
+++ b/drupal7/sites/all/modules/advanced_forum/styles/cloudless_day_stacked/cloudless_day_stacked.info
@@ -5,9 +5,9 @@ version = 2.x
 base style = cloudless_day
 extra style = naked_stacked
 
-; Information added by drupal.org packaging script on 2013-07-07
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2014-06-21
+version = "7.x-2.4"
 core = "7.x"
 project = "advanced_forum"
-datestamp = "1373223651"
+datestamp = "1403371728"
 
diff --git a/drupal7/sites/all/modules/advanced_forum/styles/naked/naked.info b/drupal7/sites/all/modules/advanced_forum/styles/naked/naked.info
index 1184fc31..1caec83f 100644
--- a/drupal7/sites/all/modules/advanced_forum/styles/naked/naked.info
+++ b/drupal7/sites/all/modules/advanced_forum/styles/naked/naked.info
@@ -3,9 +3,9 @@ name = Naked
 description = Base style with no CSS except positioning. Meant as a starter style. Images are desaturated for easier recoloring.
 version = 2.x
 
-; Information added by drupal.org packaging script on 2013-07-07
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2014-06-21
+version = "7.x-2.4"
 core = "7.x"
 project = "advanced_forum"
-datestamp = "1373223651"
+datestamp = "1403371728"
 
diff --git a/drupal7/sites/all/modules/advanced_forum/styles/naked_stacked/naked_stacked.info b/drupal7/sites/all/modules/advanced_forum/styles/naked_stacked/naked_stacked.info
index cb016603..41f4b6b3 100644
--- a/drupal7/sites/all/modules/advanced_forum/styles/naked_stacked/naked_stacked.info
+++ b/drupal7/sites/all/modules/advanced_forum/styles/naked_stacked/naked_stacked.info
@@ -3,9 +3,9 @@ name = Naked Stacked
 description = Same as Naked except the Author Pane is on top.
 version = 2.x
 base style = naked
-; Information added by drupal.org packaging script on 2013-07-07
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2014-06-21
+version = "7.x-2.4"
 core = "7.x"
 project = "advanced_forum"
-datestamp = "1373223651"
+datestamp = "1403371728"
 
diff --git a/drupal7/sites/all/modules/advanced_forum/styles/silver_bells/silver_bells.info b/drupal7/sites/all/modules/advanced_forum/styles/silver_bells/silver_bells.info
index f33271c3..8de78723 100644
--- a/drupal7/sites/all/modules/advanced_forum/styles/silver_bells/silver_bells.info
+++ b/drupal7/sites/all/modules/advanced_forum/styles/silver_bells/silver_bells.info
@@ -4,9 +4,9 @@ description = Shades of grey and white.
 version = 2.x
 base style = naked
 
-; Information added by drupal.org packaging script on 2013-07-07
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2014-06-21
+version = "7.x-2.4"
 core = "7.x"
 project = "advanced_forum"
-datestamp = "1373223651"
+datestamp = "1403371728"
 
diff --git a/drupal7/sites/all/modules/advanced_forum/styles/silver_bells_stacked/silver_bells_stacked.info b/drupal7/sites/all/modules/advanced_forum/styles/silver_bells_stacked/silver_bells_stacked.info
index 4883c42c..1c9eba95 100644
--- a/drupal7/sites/all/modules/advanced_forum/styles/silver_bells_stacked/silver_bells_stacked.info
+++ b/drupal7/sites/all/modules/advanced_forum/styles/silver_bells_stacked/silver_bells_stacked.info
@@ -6,9 +6,9 @@ base style = silver_bells
 extra style = naked_stacked
 
 
-; Information added by drupal.org packaging script on 2013-07-07
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2014-06-21
+version = "7.x-2.4"
 core = "7.x"
 project = "advanced_forum"
-datestamp = "1373223651"
+datestamp = "1403371728"
 
diff --git a/drupal7/sites/all/modules/colorbox/colorbox.info b/drupal7/sites/all/modules/colorbox/colorbox.info
index 7830b416..3bc9eb32 100644
--- a/drupal7/sites/all/modules/colorbox/colorbox.info
+++ b/drupal7/sites/all/modules/colorbox/colorbox.info
@@ -6,9 +6,9 @@ configure = admin/config/media/colorbox
 
 files[] = views/colorbox_handler_field_colorbox.inc
 
-; Information added by Drupal.org packaging script on 2014-05-28
-version = "7.x-2.6"
+; Information added by Drupal.org packaging script on 2014-06-25
+version = "7.x-2.7"
 core = "7.x"
 project = "colorbox"
-datestamp = "1401278628"
+datestamp = "1403692729"
 
diff --git a/drupal7/sites/all/modules/colorbox/colorbox.module b/drupal7/sites/all/modules/colorbox/colorbox.module
index e5ea03db..c5a457fc 100644
--- a/drupal7/sites/all/modules/colorbox/colorbox.module
+++ b/drupal7/sites/all/modules/colorbox/colorbox.module
@@ -396,7 +396,7 @@ function colorbox_field_formatter_settings_form($field, $instance, $view_mode, $
  * Validate function for colorbox_gallery_custom.
  */
 function colorbox_gallery_custom_validate($element, &$form_state) {
-  if ($form_state['values']['fields']['field_image']['settings_edit_form']['settings']['colorbox_gallery'] == 'custom' && !preg_match('!^[a-z0-9_-]+$!', $element['#value'])) {
+  if (!empty($element['#value']) && !preg_match('!^[a-z0-9_-]+$!', $element['#value'])) {
     form_error($element, t('%name must only contain lowercase letters, numbers, hyphen and underscores.', array('%name' => $element['#title'])));
   }
 }
